Qt for Python/zh

From Qt Wiki
< Qt for Python
Revision as of 08:11, 25 June 2018 by Blacklin (talk | contribs) (Created page with "Category:Qt for Python {{LangSwitch}} http://doc-snapshots.qt.io/qtforpython/_static/pysidelogo.png == Qt for Python == '''Qt for Python''' 项目旨在为PySide模块提...")

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

En Ar Bg De El Es Fa Fi Fr Hi Hu It Ja Kn Ko Ms Nl Pl Pt Ru Sq Th Tr Uk Zh

pysidelogo.png

Qt for Python

Qt for Python 项目旨在为PySide模块提供完整的Qt5接口支持。于2015年5月在GitHub 上开始开发。此项目计划使PySide支持 Qt 5.3, 5. 4 和 5.5。 2016年4月中Qt公司决定正式支持为其提供接口支持 (查看 详情 ).

该模块计划于6月中旬作为技术预览版发布(支持Qt 5.11)。

这个wiki页面跟踪 Qt for Python 项目开发的进展情况,并提供关于这项工作的更多信息。

Qt for Python 将在GPL, LGPL 和商业许可协议下提供

开始

Qt for Python 看起来是什么样的?

1 import sys
2 from PySide2.QtWidgets import QApplication, QLabel
3                                                      
4 if __name__ == "__main__":
5     app = QApplication([])
6     label = QLabel("Hello World")
7     label.show()
8     sys.exit(app.exec_())

更多例子可以从 项目仓库 中的 examples 文件夹中查看.

社区

开发状态

每周开发进度

发展进度的总结可以在开发笔记 中找到

Pyside开发进度笔记

更多当前开发近况可以在Jira中找到:

  1. 尚未解决的问题
  2. 所有问题 (包含已解决的)

第二个链接可用于监控积压进度。最好是按“更新”列对列表进行排序。较大的 积压/特色项在Jira中以“用户故事”的形式提交。

缺少的 PySide2 绑定

当前缺少的绑定可以从 Missing PySide2 bindings 中找到

Outstanding tasks for release

  1. Determine PySide2 package number
  2. Ensure multi target packages can be created (long standing - reduced Python API usage )
  3. General Doc changes required for release
    1. Getting started
    2. Some examples documented
    3. pyinstaller usage
    4. Class documentation polish
    5. snapshot generation on http://doc-snapshot.qt-project.org/

常见问题

  • Q: PySide? Qt for Python? 这名字到底是什么?
    • A: 这个项目的名字是 Qt for Python ,这个模块的名字是 PySide2.
  • Q: 为什么是 PySide2 而不是接着用 PySide?
    • A: 因为 PySide 是基于 Qt4, 当支持 Qt5时, 把名字改为 PySide2 用来说明这是新版本.
  • Q: 旧的 PySide 项目相关信息要在哪里找?
    • A: 旧的 PySide wiki页面依然可用, 但是 这个项目已经被放弃并且没有官方支持. 我们非常不建议使用它.
  • Q: 我的项目用的是 PySide, 想要升级并适配PySide2会很难么?
    • A: 这两者的不同点与 Qt4 和 Qt5的不同类似, 对于PySide用户来说通常是要修改import 语句,因为很多类都从QtGui移动到QtWidgets。
Qt 5 高度兼容 Qt 4. 使得开发者从Qt 4应用无缝升级到 Qt 5 并且其当前功能不更改并使用Qt 5 的新功能成为可能。

已知问题

为 the Qt for Python Wiki 作出贡献

这个Wiki是一个社区,您可以很容易地为它出一份力,其中可能包含快速变化的信息。 请将与Qt相关的wiki页面添加到“QtForPython”类别中,将以下文本添加到页面顶部:

[[Category:Qt for Python]]

在创建一个新的wiki页面时,请用前缀"Qt_for_Python/",这样所有的wiki页面名称都将具有相同的结构和面包屑,以便更容易地导航。